<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

declare(strict_types = 1);

namespace Kufer\Web\Classes\Dbfilter;


class FachbereichSQLFilter extends AbstractSQLFilter
{
  protected function __construct()
  {
    parent::__construct();

    $this->registerDb('Text', 'text', static::TYPE_STRING);
    $this->registerDb('Kennzeichen', 'kennz', static::TYPE_STRING);
    $this->registerDb('KennzeichenBVV', 'kennz_bvv', static::TYPE_STRING);
  }

  public function getTablePraeffix(): string
  {
    return 'fachber';
  }
}